
TYPO3.Flow - Bug # 31015

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Reflection
Created: 2011-10-17 Assigned To: Karsten Dambekalns
Updated: 2011-10-18 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Second classloader in ReflectionService doesn't know about packages
Description

There should be reuse of the classloader already created in Bootstrap.

Related issues:
related to TYPO3.Flow - Task # 27627: Overhaul annotation support/syntax Resolved 2011-06-21

Associated revisions
Revision 59b75861 - 2011-10-17 23:50 - Karsten Dambekalns

[BUGFIX] Reuse FLOW3 classloader in ReflectionService

There was a second class loader being created for the annotation
parser. It was lacking the available packages and thus failed
under some circumstances.

The changes adds reuse of the classloader already created in the
FLOW3 bootstrap.

Change-Id: I50646c4757ea66413ff97406e829b050af7fb29f
Fixes: #31015
Related: #27627

History
#1 - 2011-10-17 18:50 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I50646c4757ea66413ff97406e829b050af7fb29f has been pushed to the review server.
It is available at http://review.typo3.org/5910

#2 - 2011-10-17 23:50 - Mr. Hudson

Patch set 2 of change I50646c4757ea66413ff97406e829b050af7fb29f has been pushed to the review server.
It is available at http://review.typo3.org/5910

#3 - 2011-10-18 09:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:59b758615957dea8a2efc0defbac2a190b15b31e.
